#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.3
visibility:           public
id:                   http-client-restricted-0.0.3-ImvLh6dgDjYI2ReI2r4ZLG
key:                  http-client-restricted-0.0.3-ImvLh6dgDjYI2ReI2r4ZLG
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  7ce94d3cee130dea987e6450bd427be8
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.2/site-local/http-client-restricted-0.0.3
library-dirs:         /usr/lib/ghc-8.10.2/site-local/http-client-restricted-0.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/http-client-restricted-0.0.3

hs-libraries:         HShttp-client-restricted-0.0.3-ImvLh6dgDjYI2ReI2r4ZLG
depends:
    base-4.14.1.0 connection-0.3.1-6sDC7lM3hpb8mfwJjcdRVH
    data-default-0.7.1.1-2pTv2Pt6KN1GBaHwYTr3Ac
    http-client-0.7.2.1-DPhiFSzvL8UEOK4FUCv7tJ
    http-client-tls-0.3.5.3-3zcNS1yJFLDBf2lnzCvmsB
    network-3.1.2.0-6JDKfAnmzxBDIIJL2Fi5PT
    network-bsd-2.8.1.0-IB80gziTHgyEQMyBbh8iwU
    utf8-string-1.0.1.1-G1tzxDqsWge3erFqc4Oe2R

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

